#!/usr/bin/python3

f = open("input.txt", mode="r")
lines = f.readlines()
f.close()

for line in lines:
	if line:
		chunks = line.split("+")
		for chunk in chunks:
			s = chunk.split("x")
			color = " " if s[0] == "1" else "#"
			count = int(s[1])
			print(color * count, end="")
		print("")
	
			
